<?php
	require("include/everything.php");
	
	session_register("UserID");

	define ("TEXT",  0);
	define ("HTML",  1);
	define ("AUDIO", 2);
	define ("VIDEO", 3);

	$db = new DB_Sql;

	// obtinem datele despre noul mesaj:	$message_id $subject $disabled $body $interval
	if     (isset($type) && "html"  == $type) $type = HTML;
	elseif (isset($type) && "audio" == $type) $type = AUDIO;
	elseif (isset($type) && "video" == $type) $type = VIDEO;
	else   $type = TEXT;

	if (isset($disabled) && strtoupper($disabled) == "ON")
		$disabled = 1;
	else
		$disabled = 0;

	if (!isset($template_id))
		$template_id = "NULL";
	else
		$template_id = "'" . $template_id . "'";

	AssumeIsWithinRange($interval, "Interval must be within range: 0 - 9999", 0, 9999);
	AssumeIsNumber($message_id, "Message ID is invalid");
	AssumeIsNotEmpty($subject, "Subject must not be empty");
	AssumeIsString($subject, "Subject is not a valid string");
	AssumeIsString($body, "Body is not a valid string");

	// adaugam mesajul
	if (isset($media_id)) $media = "messages_media_id = '$media_id',";
	else $media = "";
	if (!isset($signature_id)) $signature_id = 0;
	$query = "UPDATE messages SET
				messages_subject = '$subject', 
				messages_attach_id = '$attach_id',
				messages_sign_id = '$signature_id',
				messages_body = '$body',
				messages_type = '$type',
				$media
				messages_disabled = '$disabled', 
				messages_interval = '$interval',
				messages_template_id = $template_id
				WHERE messages_id = '$message_id'";

	$db->query($query);

	if ($template_id == "NULL")
		redirect("messages_edit.php");
	else
		redirect("newsletters_edit.php");
?>
