<?

// redirect page to another page relative to the current one
function redirect ($relative_url)
{
	header("Location: $relative_url");
	exit();
}

// afiseaza o pagina cu un mesaj de eroare
function error_page($error_message)
{
	$template = new Template("templates");
	$template->set_file("tpl_error", "error.tpl");
	$template->set_var("ERRORMESSAGE", $error_message);
	$template->parse("output", "tpl_error");
	$template->p("output");
	exit(); 
}

function show_media_list($mediaType, $mediaId) {
	global $GeneralID, $UserID, $db, $template;
	$query = "SELECT * 
				FROM media
				WHERE (media_user_id = '$GeneralID' OR media_user_id = '$UserID')
				AND media_type = $mediaType
				ORDER BY media_title, media_name";
	$db->query($query);
	if ($db->num_rows() > 0) {
		while ($db->next_record()) {
			$dimension = (0 == $db->f("media_width") || 0 == $db->f("media_height"))?
				"": $db->f("media_width") . "x" . $db->f("media_height");
			$template->set_var("FILE_TITLE", $db->f("media_title"));
			$template->set_var("FILE_NAME",  $db->f("media_name"));
			$template->set_var("FILE_SIZE",  $db->f("media_size"));
			$template->set_var("FILE_DIMENSION", $dimension);
			$template->set_var("FILE_ID",    $db->f("media_id"));
			$template->set_var("FILE_SELECT",($db->f("media_id") == $mediaId)? "selected": "");
			$template->parse  ("MEDIA_LIST", "tpl_row_media", true);
		}
	}
}

function show_attach_list($mediaId) {
	global $GeneralID, $UserID, $db, $template;
	$query = "SELECT * 
				FROM media
				WHERE (media_user_id = '$GeneralID' OR media_user_id = '$UserID')
				AND media_type = '2'
				ORDER BY media_title, media_name";
	$db->query($query);
	$template->set_var("FILE_TITLE", "");
	$template->set_var("FILE_NAME",  "");
	$template->set_var("FILE_SIZE",  "--- none ---");
	$template->set_var("FILE_ID",    "0");
	$template->set_var("FILE_SELECT",(0 == $mediaId)? "selected": "");
	$template->parse  ("ATTACH_LIST", "tpl_row_attach", true);
	if ($db->num_rows() > 0) {
		while ($db->next_record()) {
			$template->set_var("FILE_TITLE", $db->f("media_title"));
			$template->set_var("FILE_NAME",  $db->f("media_name"));
			$template->set_var("FILE_SIZE",  $db->f("media_size"));
			$template->set_var("FILE_ID",    $db->f("media_id"));
			$template->set_var("FILE_SELECT",($db->f("media_id") == $mediaId)? "selected": "");
			$template->parse  ("ATTACH_LIST", "tpl_row_attach", true);
		}
	}
}

function show_signature_list($signId) {
	global $GeneralID, $UserID, $db, $template;
	$query = "SELECT * 
				FROM signatures
				WHERE (signatures_user_id = '$GeneralID' OR signatures_user_id = '$UserID')
				ORDER BY signatures_title";
	$db->query($query);
	$template->set_var("SIGNATURE_TITLE", "--- none ---");
	$template->set_var("SIGNATURE_ID",    "0");
	$template->set_var("SIGNATURE_SELECT",(0 == $signId)? "selected": "");
	$template->parse  ("SIGN_LIST", "tpl_row_signature", true);
	if ($db->num_rows() > 0) {
		while ($db->next_record()) {
			$template->set_var("SIGNATURE_TITLE", $db->f("signatures_title"));
			$template->set_var("SIGNATURE_ID",    $db->f("signatures_id"));
			$template->set_var("SIGNATURE_SELECT",($db->f("signatures_id") == $signId)? "selected": "");
			$template->parse  ("SIGN_LIST", "tpl_row_signature", true);
		}
	}
}

?>
