<?php
	require("include/everything.php");
	
	session_register("UserID");

	$template = new Template("templates/prospects_htmlform");
	$db = new DB_Sql;
	
	// gasim numele utilizatorului logat
	$query = "SELECT * 
				FROM users 
				WHERE users_id = '$UserID'";
	$db->query($query);
	$db->next_record();
	$name = $db->f("users_name");
	
	// cream pagina din template
	$template->set_file("tpl_prospects_htmlform", "prospects_htmlform.tpl");
	$template->set_var("USER_NAME", $name);

	$redirect_url = isset($redirect)? $redirect: "";
	$template->set_var("REDIRECT", $redirect_url);

	if (isset($f_address) && '1' == $f_address) {
		$template->set_var("C_ADDRESS", "checked");
		$template->set_file("form_address", "form_address.tpl");
		$template->parse("F_ADDRESS", "form_address");
	}
	if (isset($f_city)    && '1' == $f_city) {
		$template->set_var("C_CITY", "checked");
		$template->set_file("form_city", "form_city.tpl");
		$template->parse("F_CITY", "form_city");
	}
	if (isset($f_state)   && '1' == $f_state) {
		$template->set_var("C_STATE", "checked");
		$template->set_file("form_state", "form_state.tpl");
		$template->parse("F_STATE", "form_state");
	}
	if (isset($f_zip)     && '1' == $f_zip) {
		$template->set_var("C_ZIP", "checked");
		$template->set_file("form_zip", "form_zip.tpl");
		$template->parse("F_ZIP", "form_zip");
	}
	if (isset($f_country) && '1' == $f_country) {
		$template->set_var("C_COUNTRY", "checked");
		$template->set_file("form_country", "form_country.tpl");
		$template->parse("F_COUNTRY", "form_country");
	}
	if (isset($f_where)   && '1' == $f_where) {
		$template->set_var("C_WHERE", "checked");
		$template->set_file("form_where", "form_where.tpl");
		$template->parse("F_WHERE", "form_where");
	}
	if (isset($f_campaign)) {
		if (!is_array($f_campaign)) $f_campaign = array($f_campaign);
	} else {
		$f_campaign = array();
	}


	// generarea HTML Form-ului
	$template->set_file("tpl_html_form", "html_form.tpl");

	$query="SELECT * FROM users WHERE users_id='$UserID'";
	$db->query($query);
	$db->next_record();
	$template->set_var("CAMPAIGN_MAIN",$db->f("users_username")."@".$SiteName);

	$query="SELECT * FROM users
		WHERE users_id<>'$UserID' AND users_general_id= '".$db->f("users_general_id")."'";
	$db->query($query);
	$campaigns_list = "";
	$extra_id = "";
	while ($db->next_record()) {
		$checked = "";
		if (in_array($db->f("users_id"), $f_campaign)) {
			$checked = "checked";
			$extra_id .= "\r\n<input type=\"hidden\" value=\"".$db->f("users_id")."\" name=\"extra_id[]\">";
		}
		$campaigns_list .= "<div><input type=\"checkbox\" value=\"".$db->f("users_id")."\" class=\"noborder\" name=\"f_campaign[]\" $checked>".$db->f("users_username")."@$SiteName</div>";
	}
	$template->set_var("CAMPAIGNS_LIST", $campaigns_list);
	$template->set_var("EXTRA_ID", $extra_id);

	$template->set_var("USER_ID", $UserID);
	$template->set_var("SELFPATH", $SelfPath);
	$template->parse("HTMLFORM", "tpl_html_form");

	// crearea output-ului propriu-zis
	$template->parse("content", "tpl_prospects_htmlform");
	require("template_make.php");
?>
