<?php
	require("include/everything.php");
	
	session_register("UserID");

	define ("TEXT",  0);
	define ("HTML",  1);
	define ("AUDIO", 2);
	define ("VIDEO", 3);

	$db = new DB_Sql;

	// obtinem datele despre noul mesaj:	$subject $disabled $body $interval
	if     (isset($type) && "html"  == $type) $type = HTML;
	elseif (isset($type) && "audio" == $type) $type = AUDIO;
	elseif (isset($type) && "video" == $type) $type = VIDEO;
	else   $type = TEXT;

	if (isset($disabled) && strtoupper($disabled) == "ON")
		$disabled = 1;
	else
		$disabled = 0;

	if (!isset($template_id))
		$template_id = "NULL";
	else
		$template_id = "'" . $template_id . "'";

	AssumeIsWithinRange($interval, "Interval must be within range: 0 - 9999", 0, 9999);
	AssumeIsNotEmpty($subject, "Subject must not be empty");
	AssumeIsString($subject, "Subject is not a valid string");
	AssumeIsString($body, "Body is not a valid string");

	// adaugam mesajul
	if (isset($media_id)) {
		$media_field = "messages_media_id,";
		$media_value = "'$media_id',";
	}
	else {
		$media_field = "";
		$media_value = "";
	}
	$query = "INSERT INTO messages 
				(messages_user_id, messages_subject, messages_attach_id, messages_body, $media_field
				messages_type, messages_disabled, messages_interval, messages_template_id)
				VALUES
				('$UserID', '$subject', '$attach_id', '$body', $media_value
				'$type', '$disabled', '$interval', $template_id)";

	$db->query($query);

	if ($template_id == "NULL")
		redirect("messages_edit.php");
	else
		redirect("newsletters_edit.php");
?>
