<?php
	include_once("date.php"); 
	// ************************************************************************
	// SendMessage2Subscriber
	// ************************************************************************
	function SendMessage2Subscriber($message_id, $subscriber_id)
	{
		global $SelfPath, $MediaPath;

		$db = new DB_Sql;

		// obtinem informatiile despre mesajul ce trebui trimis
		// si despre user-ul care trimite mesajul

		$query = "SELECT * 
					FROM messages, users
					WHERE messages_id = '$message_id' AND
						messages_user_id = users_id";
		$db->query($query);

		if ($db->num_rows() != 1)
			return error_page("Invalid message ID");

		$db->next_record();
		$UserID = $db->f("users_id");
		$from_email = $db->f("users_email");
		$from_name = $db->f("users_name");
		$is_free_account = ($db->f("users_accounttype_id") == 0);

		$subject = $db->f("messages_subject");
		$body = $db->f("messages_body");
		$type = $db->f("messages_type");
		$interval = $db->f("messages_interval");
		$media_id = $db->f("messages_media_id");
		$attach_id = $db->f("messages_attach_id");
		$sign_id = $db->f("messages_sign_id");
		$LN = ($type > 0)? "<br>": "\r\n";

		// obtinem informatiile despre destinatarul mesajului

		$query = "SELECT * 
					FROM subscribers
					WHERE subscribers_id = '$subscriber_id'";
		$db->query($query);

		if ($db->num_rows() != 1)
			return error_page("Invalid subscriber ID");

		$db->next_record();
		$to_email = $db->f("subscribers_email");
		$to_name  = $db->f("subscribers_name");
		$address  = $db->f("subscribers_address");
		$city     = $db->f("subscribers_city");
		$state    = $db->f("subscribers_state");
		$zip      = $db->f("subscribers_zip");
		$log      = stripslashes($db->f("subscribers_sent_log"));
		$country  = $db->f("subscribers_country");
		$where_did_hear = $db->f("subscribers_wheredidhear");
		$join_date = $db->f("subscribers_join_date");
		$join_date = Date::fromMysqlDatetime($join_date);
		$join_date = $join_date->toString(FMT_DATEUS);
		if ("" != $db->f("subscribers_ip")) {
			$info = "Form subscription from IP: " . $db->f("subscribers_ip");
		} elseif ("" != $db->f("subscribers_header")) {
			$email_header = stripslashes($db->f("subscribers_header"));
			$info = "Email subscription with headers:$LN$email_header$LN";
			if ($type > 0) {
				$info = str_replace("\r\n", "<br>", htmlentities($info));
				$info = str_replace("\n", "<br>", $info);
			}
		} else {
			$info = "Imported subscription";
		}
		
		// determinam "first name" al subscriber-ului
		if (($pos = strpos($to_name, " ")) === false)
			$to_first_name = $to_name;
		else
			$to_first_name = substr($to_name, 0, $pos);

		if ($sign_id > 0) {
			$query = "SELECT * 
						FROM signatures
						WHERE signatures_id = '$sign_id'";
			$db->query($query);
			if ($db->num_rows() > 0) {
				$db->next_record();
				$sign_body = $db->f("signatures_body");
				if ($type > 0) {
					$sign_body = str_replace("\r\n", "<br>", htmlentities($sign_body));
					$sign_body = str_replace("\n", "<br>", $sign_body);
				}
				$body .= "$LN$sign_body";
			}
		}

		// determinam unsubscribe url pt subscriber-ul dat
		$unsubscribe_url = $SelfPath . "unsubscribe.php?id=" . md5($db->f("subscribers_id"));
		if ($type > 0) {
			$unsubscribe_link = "<a href=$unsubscribe_url>$unsubscribe_url</a>";
		} else {
			$unsubscribe_link = $unsubscribe_url;
		}
		if (FALSE == strpos($body, "[[remove]]"))
			$body .= "$LN$LN If you wish to cancel your subscription, simply click once on the link below.$LN$unsubscribe_link$LN";

		// ** inlocuitm variabilele predefinite cu valorile respective
		$subject = str_replace("[[firstname]]", $to_first_name, $subject);
		$body = str_replace("[[firstname]]", $to_first_name, $body);

		$subject = str_replace("[[name]]", $to_name, $subject);
		$body = str_replace("[[name]]", $to_name, $body);

		$subject = str_replace("[[email]]", $to_email, $subject);
		$body = str_replace("[[email]]", $to_email, $body);

		$subject = str_replace("[[address]]", $address, $subject);
		$body = str_replace("[[address]]", $address, $body);

		$subject = str_replace("[[city]]", $city, $subject);
		$body = str_replace("[[city]]", $city, $body);

		$subject = str_replace("[[state]]", $state, $subject);
		$body = str_replace("[[state]]", $state, $body);

		$subject = str_replace("[[zip]]", $zip, $subject);
		$body = str_replace("[[zip]]", $zip, $body);

		$subject = str_replace("[[country]]", $country, $subject);
		$body = str_replace("[[country]]", $country, $body);

		$subject = str_replace("[[date]]", $join_date, $subject);
		$body = str_replace("[[date]]", $join_date, $body);

		$body = str_replace("[[info]]", $info, $body);

		$subject = str_replace("[[where_did_hear]]", $where_did_hear, $subject);
		$body = str_replace("[[where_did_hear]]", $where_did_hear, $body);

		$subject = str_replace("[[remove]]", $unsubscribe_url, $subject);
		$body = str_replace("[[remove]]", $unsubscribe_url, $body);

		// ** inlocuim variabilele definite de utilizator 
		// din subject si din body cu valorile lor respective
		$query = "SELECT * 
					FROM variables
					WHERE variables_user_id = '$UserID'";
		$db->query($query);

		while ($db->next_record())
		{
			$subject = str_replace("[[" . $db->f("variables_name") . "]]", $db->f("variables_value"), $subject);
			$body = str_replace("[[" . $db->f("variables_name") . "]]", $db->f("variables_value"), $body);
		}

		// ** trimitem mail-ul

		$mail = new phpmailer();
		$mail->From = $from_email;
		$mail->FromName = $from_name;
		$mail->AddAddress($to_email);
		$mail->Subject = $subject;
		$mail->WordWrap = 40;
		$mail->AddCustomHeader("X-Return:$UserID;$to_email");

		if ($attach_id > 0) {
			$query = "SELECT * 
						FROM media
						WHERE media_id = '$attach_id'";
			$db->query($query);
			if ($db->num_rows() > 0) {
				$db->next_record();
				$media_name = $db->f("media_name");
				$path = "$MediaPath$attach_id" . "_$media_name";
				$mail->AddAttachment($path, $media_name);
			}
		}

		if ($type > 0) {
			$mail->IsHTML(true);
			$mail->Encoding = "quoted-printable";

			$query = "SELECT * 
						FROM media
						WHERE media_id = '$media_id'";
			$db->query($query);
			if ($db->num_rows() > 0) {
				$db->next_record();
				$media_name = $db->f("media_name");
				$path = "$MediaPath$media_id" . "_$media_name";
				$cid = md5($media_name) . "@media";
				if ($type == 2) {
					$body = $body . "<BGSOUND balance=0 src=\"cid:$cid\" volume=0>";
					$mail->AddEmbeddedImage($path, $cid, $media_name);
				} elseif ($type == 3) {
					$dimension = "";
					if ($db->f("media_width") > 0 && $db->f("media_height") > 0) {
						$dimension = "width=" . $db->f("media_width") . " height=" . $db->f("media_height");
					}
					$img = "<IMG dynsrc=\"cid:$cid\" $dimension><div style=\"font:normal 8pt Arial;color:gray;\">Note: If you need a video viewing program or an updated version, Microsoft's Windows Media Player is available for free download at: <a href=http://www.microsoft.com/windows/windowsmedia>http://www.microsoft.com/windows/windowsmedia</a></div>";
					if (eregi("<IMG id=media[^>]*>", $body)) {
						$body = eregi_replace("<IMG id=media[^>]*>", $img, $body);
					} else {
						$body = "$img$body";
					}
					$mail->AddEmbeddedImage($path, $cid, $media_name);
				}
			}

			$mail->Body = $body;

			$text_body = strip_tags($text_body, "<br><BR><a><A>");
			while (eregi("<A[^>]+>(.*)</A>", $text_body)) {
				$text_body = eregi_replace("<A href=([^ >]+)[^>]*>(.*)</A>", "<\\1> \\2", $text_body);
			}
			$text_body = str_replace("<br>", "\r\n", $text_body);			
			$text_body = str_replace("<BR>", "\r\n", $text_body);			
			$text_body = html_entity_decode($text_body);			
			$mail->AltBody = $text_body; 
		}
		else
		{
			$mail->IsHTML(false);
			$mail->Body = $body;
		}

		if ($mail->Send()) {
			$log = addslashes($log.date("Y-m-d H:i:s")."|Interval: $interval| Message: $subject\n");
			$query = "UPDATE subscribers SET subscribers_sent_log = '$log' WHERE subscribers_id = '$subscriber_id'";
			$db->query($query);
		} else {
			$log = addslashes($log.date("Y-m-d H:i:s")."|Could not send message to $to_email\n");
			$query = "UPDATE subscribers SET subscribers_trouble_mailing = subscribers_trouble_mailing+1, subscribers_sent_log = '$log' WHERE subscribers_id = '$subscriber_id'";
			$db->query($query);
			return error_page("Could not send message");
		}
		return "";
	}

	// ************************************************************************
	// SendMessage2EmailAddress
	// ************************************************************************
	function SendMessage2EmailAddress($message_id, $email)
	{
		global $SelfPath, $MediaPath;

		$db = new DB_Sql;

		// obtinem informatiile despre mesajul ce trebui trimis
		// si despre user-ul care trimite mesajul

		$query = "SELECT * 
					FROM messages, users
					WHERE messages_id = '$message_id' AND
						messages_user_id = users_id";
		$db->query($query);

		if ($db->num_rows() != 1)
			return error_page("Invalid message ID");

		$db->next_record();
		$UserID = $db->f("users_id");
		$from_email = $db->f("users_email");
		$from_name = $db->f("users_name");
		$is_free_account = ($db->f("users_accounttype_id") == 0);

		$subject = $db->f("messages_subject");
		$body = $db->f("messages_body");
		$type = $db->f("messages_type");
		$media_id = $db->f("messages_media_id");
		$attach_id = $db->f("messages_attach_id");
		$sign_id = $db->f("messages_sign_id");
		$LN = ($type > 0)? "<br>": "\r\n";

		$to_email = $email;

		if ($sign_id > 0) {
			$query = "SELECT * 
						FROM signatures
						WHERE signatures_id = '$sign_id'";
			$db->query($query);
			if ($db->num_rows() > 0) {
				$db->next_record();
				$sign_body = $db->f("signatures_body");
				if ($type > 0) {
					$sign_body = str_replace("\r\n", "<br>", htmlentities($sign_body));
					$sign_body = str_replace("\n", "<br>", $sign_body);
				}
				$body .= "$LN$sign_body";
			}
		}
		// ** inlocuitm variabilele predefinite cu valorile respective
		// OBS: nu se vor inlocui: [[name]], [[first_name]], [[remove]]
		$subject = str_replace("[[email]]", $to_email, $subject);
		$body = str_replace("[[email]]", $to_email, $body);
		
		// ** inlocuim variabilele definite de utilizator 
		// din subject si din body cu valorile lor respective
		$query = "SELECT * 
					FROM variables
					WHERE variables_user_id = '$UserID'";
		$db->query($query);

		while ($db->next_record())
		{
			$subject = str_replace("[[" . $db->f("variables_name") . "]]", $db->f("variables_value"), $subject);
			$body = str_replace("[[" . $db->f("variables_name") . "]]", $db->f("variables_value"), $body);
		}

		// ** trimitem mail-ul

		$mail = new phpmailer();
		$mail->From = $from_email;
		$mail->FromName = $from_name;
		$mail->AddAddress($to_email);
		$mail->Subject = $subject;
		$mail->WordWrap = 40;
		$mail->AddCustomHeader("X-Return:$UserID;$to_email");

		if ($attach_id > 0) {
			$query = "SELECT * 
						FROM media
						WHERE media_id = '$attach_id'";
			$db->query($query);
			if ($db->num_rows() > 0) {
				$db->next_record();
				$media_name = $db->f("media_name");
				$path = "$MediaPath$attach_id" . "_$media_name";
				$mail->AddAttachment($path, $media_name);
			}
		}

		if ($type > 0)
		{
			$mail->IsHTML(true);
			$mail->Encoding = "quoted-printable";

			$query = "SELECT * 
						FROM media
						WHERE media_id = '$media_id'";
			$db->query($query);
			if ($db->num_rows() > 0) {
				$db->next_record();
				$media_name = $db->f("media_name");
				$path = "$MediaPath$media_id" . "_$media_name";
				$cid = md5($media_name) . "@media";
				if ($type == 2) {
					$body = $body . "<BGSOUND balance=0 src=\"cid:$cid\" volume=0>";
					$mail->AddEmbeddedImage($path, $cid, $media_name);
				} elseif ($type == 3) {
					$dimension = "";
					if ($db->f("media_width") > 0 && $db->f("media_height") > 0) {
						$dimension = "width=" . $db->f("media_width") . " height=" . $db->f("media_height");
					}
					$img = "<IMG dynsrc=\"cid:$cid\" $dimension><div style=\"font:normal 8pt Arial;color:gray;\">Note: If you need a video viewing program or an updated version, Microsoft's Windows Media Player is available for free download at: <a href=http://www.microsoft.com/windows/windowsmedia>http://www.microsoft.com/windows/windowsmedia</a></div>";
					if (eregi("<IMG id=media[^>]*>", $body)) {
						$body = eregi_replace("<IMG id=media[^>]*>", $img, $body);
					} else {
						$body = "$img$body";
					}
					$mail->AddEmbeddedImage($path, $cid, $media_name);
				}
			}

			$mail->Body = $body;

			$text_body = strip_tags($body, "<br><BR><a><A>");
			while (eregi("<A[^>]+>(.*)</A>", $text_body)) {
				$text_body = eregi_replace("<A href=([^ >]+)[^>]*>(.*)</A>", "<\\1> \\2", $text_body);
			}
			$text_body = str_replace("<br>", "\r\n", $text_body);			
			$text_body = str_replace("<BR>", "\r\n", $text_body);			
			$text_body = html_entity_decode($text_body);			
			$mail->AltBody = $text_body; 
		}
		else
		{
			$mail->IsHTML(false);
			$mail->Body = $body;
		}

		if (! $mail->Send())
			return error_page("Could not send message");
		return "";
	}

	// ************************************************************************
	// SendBroadcastMessage
	// ************************************************************************
	function SendBroadcastMessage($broadcastmessage_id)
	{
		global $SelfPath, $MediaPath;

		$db = new DB_Sql;

		// obtinem informatiile despre mesajul ce trebui trimis
		// si despre user-ul care trimite mesajul

		$query = "SELECT * 
					FROM broadcastmessages, users, subscribers
					WHERE broadcastmessages_id = '$broadcastmessage_id' AND
						broadcastmessages_user_id = users_id AND
						broadcastmessages_subscriber_id = subscribers_id";
		$db->query($query);

		if ($db->num_rows() != 1)
			return error_page("Invalid broadcast message ID");

		$db->next_record();
		$UserID = $db->f("users_id");
		$from_email = $db->f("users_email");
		$from_name = $db->f("users_name");
		$is_free_account = ($db->f("users_accounttype_id") == 0);

		$subject = $db->f("broadcastmessages_subject");
		$body = $db->f("broadcastmessages_body");
		$type = $db->f("broadcastmessages_type");
		$media_id = $db->f("broadcastmessages_media_id");
		$attach_id = $db->f("broadcastmessages_attach_id");
		$sign_id = $db->f("broadcastmessages_sign_id");
		$LN = ($type > 0)? "<br>": "\r\n";

		$to_email = $db->f("subscribers_email");
		$to_name  = $db->f("subscribers_name");
		$address  = $db->f("subscribers_address");
		$city     = $db->f("subscribers_city");
		$state    = $db->f("subscribers_state");
		$zip      = $db->f("subscribers_zip");
		$log      = stripslashes($db->f("subscribers_sent_log"));
		$country  = $db->f("subscribers_country");
		$where_did_hear = $db->f("subscribers_wheredidhear");
		$join_date = $db->f("subscribers_join_date");
		$join_date = Date::fromMysqlDatetime($join_date);
		$join_date = $join_date->toString(FMT_DATEUS);
		if ("" != $db->f("subscribers_ip")) {
			$info = "Form subscription from IP: " . $db->f("subscribers_ip");
		} elseif ("" != $db->f("subscribers_header")) {
			$email_header = stripslashes($db->f("subscribers_header"));
			$info = "Email subscription with headers:$LN$email_header$LN";
			if ($type > 0) {
				$info = str_replace("\r\n", "<br>", htmlentities($info));
				$info = str_replace("\n", "<br>", $info);
			}
		} else {
			$info = "Imported subscription";
		}

		// determinam "first name" al subscriber-ului
		if (($pos = strpos($to_name, " ")) === false)
			$to_first_name = $to_name;
		else
			$to_first_name = substr($to_name, 0, $pos);

		if ($sign_id > 0) {
			$query = "SELECT * 
						FROM signatures
						WHERE signatures_id = '$sign_id'";
			$db->query($query);
			if ($db->num_rows() > 0) {
				$db->next_record();
				$sign_body = $db->f("signatures_body");
				if ($type > 0) {
					$sign_body = str_replace("\r\n", "<br>", htmlentities($sign_body));
					$sign_body = str_replace("\n", "<br>", $sign_body);
				}
				$body .= "$LN$sign_body";
			}
		}

		// determinam unsubscribe url pt subscriber-ul dat
		$unsubscribe_url = $SelfPath . "unsubscribe.php?id=" . md5($db->f("subscribers_id"));
		if ($type > 0) {
			$unsubscribe_link = "<a href=$unsubscribe_url>$unsubscribe_url</a>";
		} else {
			$unsubscribe_link = $unsubscribe_url;
		}
		if (FALSE == strpos($body, "[[remove]]"))
			$body .= "$LN$LN If you wish to cancel your subscription, simply click once on the link below.$LN$unsubscribe_link$LN";

		// ** inlocuitm variabilele predefinite cu valorile respective
		$subject = str_replace("[[firstname]]", $to_first_name, $subject);
		$body = str_replace("[[firstname]]", $to_first_name, $body);

		$subject = str_replace("[[name]]", $to_name, $subject);
		$body = str_replace("[[name]]", $to_name, $body);

		$subject = str_replace("[[email]]", $to_email, $subject);
		$body = str_replace("[[email]]", $to_email, $body);

		$subject = str_replace("[[address]]", $address, $subject);
		$body = str_replace("[[address]]", $address, $body);

		$subject = str_replace("[[city]]", $city, $subject);
		$body = str_replace("[[city]]", $city, $body);

		$subject = str_replace("[[state]]", $state, $subject);
		$body = str_replace("[[state]]", $state, $body);

		$subject = str_replace("[[zip]]", $zip, $subject);
		$body = str_replace("[[zip]]", $zip, $body);

		$subject = str_replace("[[country]]", $country, $subject);
		$body = str_replace("[[country]]", $country, $body);

		$subject = str_replace("[[date]]", $join_date, $subject);
		$body = str_replace("[[date]]", $join_date, $body);

		$body = str_replace("[[info]]", $info, $body);

		$subject = str_replace("[[where_did_hear]]", $where_did_hear, $subject);
		$body = str_replace("[[where_did_hear]]", $where_did_hear, $body);
		
		$subject = str_replace("[[remove]]", $unsubscribe_url, $subject);
		$body = str_replace("[[remove]]", $unsubscribe_url, $body);

		// ** inlocuim variabilele definite de utilizator 
		// din subject si din body cu valorile lor respective
		$query = "SELECT * 
					FROM variables
					WHERE variables_user_id = '$UserID'";
		$db->query($query);

		while ($db->next_record())
		{
			$subject = str_replace("[[" . $db->f("variables_name") . "]]", $db->f("variables_value"), $subject);
			$body = str_replace("[[" . $db->f("variables_name") . "]]", $db->f("variables_value"), $body);
		}

		// ** trimitem mail-ul

		$mail = new phpmailer();
		$mail->From = $from_email;
		$mail->FromName = $from_name;
		$mail->AddAddress($to_email);
		$mail->Subject = $subject;
		$mail->WordWrap = 40;
		$mail->AddCustomHeader("X-Return:$UserID;$to_email");

		if ($attach_id > 0) {
			$query = "SELECT * 
						FROM media
						WHERE media_id = '$attach_id'";
			$db->query($query);
			if ($db->num_rows() > 0) {
				$db->next_record();
				$media_name = $db->f("media_name");
				$path = "$MediaPath$attach_id" . "_$media_name";
				$mail->AddAttachment($path, $media_name);
			}
		}

		if ($type > 0)
		{
			$mail->IsHTML(true);
			$mail->Encoding = "quoted-printable";

			$query = "SELECT * 
						FROM media
						WHERE media_id = '$media_id'";
			$db->query($query);
			if ($db->num_rows() > 0) {
				$db->next_record();
				$media_name = $db->f("media_name");
				$path = "$MediaPath$media_id" . "_$media_name";
				$cid = md5($media_name) . "@media";
				if ($type == 2) {
					$body = $body . "<BGSOUND balance=0 src=\"cid:$cid\" volume=0>";
					$mail->AddEmbeddedImage($path, $cid, $media_name);
				} elseif ($type == 3) {
					$dimension = "";
					if ($db->f("media_width") > 0 && $db->f("media_height") > 0) {
						$dimension = "width=" . $db->f("media_width") . " height=" . $db->f("media_height");
					}
					$img = "<IMG dynsrc=\"cid:$cid\" $dimension><div style=\"font:normal 8pt Arial;color:gray;\">Note: If you need a video viewing program or an updated version, Microsoft's Windows Media Player is available for free download at: <a href=http://www.microsoft.com/windows/windowsmedia>http://www.microsoft.com/windows/windowsmedia</a></div>";
					if (eregi("<IMG id=media[^>]*>", $body)) {
						$body = eregi_replace("<IMG id=media[^>]*>", $img, $body);
					} else {
						$body = "$img$body";
					}
					$mail->AddEmbeddedImage($path, $cid, $media_name);
				}
			}

			$mail->Body = $body;

			$text_body = strip_tags($body, "<br><BR><a><A>");
			while (eregi("<A[^>]+>(.*)</A>", $text_body)) {
				$text_body = eregi_replace("<A href=([^ >]+)[^>]*>(.*)</A>", "<\\1> \\2", $text_body);
			}
			$text_body = str_replace("<br>", "\r\n", $text_body);			
			$text_body = str_replace("<BR>", "\r\n", $text_body);			
			$text_body = html_entity_decode($text_body);			
			$mail->AltBody = $text_body; 
		}
		else
		{
			$mail->IsHTML(false);
			$mail->Body = $body;
		}

		if ($mail->Send()) {
			$log = addslashes($log.date("Y-m-d H:i:s")."| Broadcast: $subject\n");
			$query = "UPDATE subscribers SET subscribers_sent_log = '$log' WHERE subscribers_id = '$subscriber_id'";
			$db->query($query);
		} else {
			$log = addslashes($log.date("Y-m-d H:i:s")."|Could not send message to $to_email\n");
			$query = "UPDATE subscribers SET subscribers_trouble_mailing = subscribers_trouble_mailing+1, subscribers_sent_log = '$log' WHERE subscribers_id = '$subscriber_id'";
			$db->query($query);
			return error_page("Could not send message");
		}
		return "";
	}

?>
