<?php
	require("include/everything.php");
	
	session_register("UserID");

	$template = new Template("templates/media");
	$db = new DB_Sql;
	
	// gasim numele utilizatorului logat
	$query = "SELECT * 
				FROM users 
				WHERE users_id = '$UserID'";
	$db->query($query);
	$db->next_record();
	$name = $db->f("users_name");
	$GeneralID = $db->f("users_general_id");
	
	// cream pagina din template
	$template->set_file("tpl_media", "audio_library.tpl");
	$template->set_var("USER_NAME", $name);

	//list audio files
	$query = "SELECT * 
				FROM media
				WHERE (media_user_id = '$GeneralID' OR media_user_id = '$UserID')
				AND media_type = 0
				ORDER BY media_title, media_name";
	$db->query($query);
	if ($db->num_rows() == 0) {
		$template->set_file("tpl_list_nofiles", "row_noaudio.tpl");
		$template->parse("FILES_LIST", "tpl_list_nofiles");
	} else {
		$template->set_file("tpl_list_files", "list_audio.tpl");
		$template->set_file("tpl_row_file", "list_item_audio.tpl");

		while ($db->next_record()) {
			$template->set_var("FILE_TITLE", $db->f("media_title"));
			$template->set_var("FILE_NAME",  $db->f("media_name"));
			$template->set_var("FILE_SIZE",  $db->f("media_size"));
			$template->set_var("FILE_ID",    $db->f("media_id"));
			$template->parse  ("LIST_ITEM",  "tpl_row_file", true);
		}

		$template->parse("FILES_LIST", "tpl_list_files");
	}

	
	// crearea output-ului propriu-zis
	$template->parse("content", "tpl_media");
	require("template_make.php");
?>
