<?php
	require("include/everything.php");
	
	session_register("UserID");

	$template = new Template("templates/signatures");
	$db = new DB_Sql;
	
	// gasim numele utilizatorului logat
	$query = "SELECT * 
				FROM users 
				WHERE users_id = '$UserID'";
	$db->query($query);
	$db->next_record();
	$name = $db->f("users_name");
	$GeneralID = $db->f("users_general_id");
	
	// cream pagina din template
	$template->set_file("tpl_signatures", "signatures.tpl");
	$template->set_var("USER_NAME", $name);

	$template->set_file("tpl_main_menu", (isset($area) && "newsletters" == $area)?
		"menu_for_newsletters.tpl":
		"menu_for_messages.tpl");
	$template->parse  ("MAIN_MENU", "tpl_main_menu");
	$template->set_var("AREA", $area);
	
	// obtinem lista de mesage ale utilizatorului logat
	$query = "SELECT DISTINCT signatures_id, signatures_user_id, signatures_title, signatures_body 
				FROM signatures, users
				WHERE 
					signatures_user_id = users_id AND users_general_id = '$GeneralID'
				ORDER BY signatures_title";
	$db->query($query);

	if ($db->num_rows() == 0)
	{
		// ** nu avem nici un mesaj
		$template->set_file("tpl_row_nosignatures", "row_nosignatures.tpl");
		$template->parse  ("SIGNATURE_LIST", "tpl_row_nosignatures");
		$template->set_var("SIGNATURE_MENU", "");

		$template->set_file("tpl_signature_add", "signature_add.tpl");
		$template->parse("SIGNATURE_ADD_EDIT", "tpl_signature_add");
	}
	else
	{
		// ** avem mesaje
		if (! isset($selected))
			$selected = "";
		
		$template->set_file("tpl_signature_menu", "signature_menu.tpl");
		$template->parse("SIGNATURE_MENU", "tpl_signature_menu");

		$template->set_file("tpl_row_signature", "row_signature.tpl");

		// cream lista de mesaje
		$i = 1;

		while ($db->next_record())
		{
			$template->set_var("TITLE", $db->f("signatures_title"));
			$template->set_var("SIGNATURE_ID", $db->f("signatures_id"));

			// selectam in lista de mesaje mesajul editat
			// daca nu avem mesaj de editat, selectam primul mesaj din lista
			if (($selected == "" && $i == 1) || ($selected != "" && intval($selected) == $db->f("signatures_id")))
				$template->set_var("SELECTED", "checked");
			else
				$template->set_var("SELECTED", "");

			$template->parse("SIGNATURE_LIST", "tpl_row_signature", true);
			$i++;
		}

		// determinam daca avem mesaj de editat sau nu
		if ($selected != "")
		{
			// ** AVEM MESAJ DE EDITAT -> afisam form de editare

			// completam campurile din form cu datele despre mesajul editat
			$query = "SELECT * 
						FROM signatures
						WHERE signatures_id = '$selected'";
			$db->query($query);

			if ($db->num_rows() != 1)
			{
				error_page("Invalid signature ID");
			}
			else
			{
				$db->next_record();
				$template->set_file("tpl_signature_edit", "signature_edit.tpl");

				$template->set_var("TITLE", $db->f("signatures_title"));
				$template->set_var("BODY", $db->f("signatures_body"));
				$template->set_var("SIGNATURE_ID", $selected);
			}
			$template->set_var("SELECTED", $selected);
			$template->parse("SIGNATURE_ADD_EDIT", "tpl_signature_edit");
		}
		else
		{
			$template->set_file("tpl_signature_add", "signature_add.tpl");
			$template->parse("SIGNATURE_ADD_EDIT", "tpl_signature_add");
		}		
	}

	// crearea output-ului propriu-zis
	$template->parse("content", "tpl_signatures");
	require("template_make.php");
?>
